=== debian/changelog ===
martchus-qtutilities (6.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0001-Clarify-that-license-is-GPL-2-or-later.patch; this commit is
    present in this release.
  * Update copyright file with upstream changes.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 11 Apr 2022 15:28:33 -0400

martchus-qtutilities (6.5.3-2) unstable; urgency=medium

  * Cherry pick 0001-Clarify-that-license-is-GPL-2-or-later.patch from
    upstream.
  * copyright: Restore claim of GPL-2+ license, which is what upstream
    intends, and update upstream copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 17 Mar 2022 15:33:51 -0400

martchus-qtutilities (6.5.3-1) unstable; urgency=medium

  [ Hannah Rittich and Nicholas D Steeves]
  * Initial release. Closes: #998179

 -- Nicholas D Steeves <sten@debian.org>  Sun, 13 Mar 2022 19:36:33 -0400
