=== debian/control ===
Source: martchus-qtutilities
Section: libs
Priority: optional
Maintainer: Hannah Rittich <void@rittich.net>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: cmake, debhelper-compat (= 13),
 libmartchus-c++utilities-dev, qtbase5-dev, qttools5-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/Martchus/qtutilities
Vcs-Browser: https://salsa.debian.org/debian/martchus-qtutilities
Vcs-Git: https://salsa.debian.org/debian/martchus-qtutilities.git

Package: libmartchus-qtutilities6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: common Qt related functionality used by Martchus' applications
 Martchus-qtutilities contains Qt-related C++ classes and routines for such
 things as the dialogs, widgets, and models used in Martchus' applications.

Package: libmartchus-qtutilities-dev
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}, libmartchus-qtutilities6(= ${binary:Version}),
 libmartchus-c++utilities-dev, qtbase5-dev
Section: libdevel
Description: common Qt related functionality used by Martchus' applications (headers)
 Martchus-qtutilities contains Qt-related C++ classes and routines for such
 things as the dialogs, widgets, and models used in Martchus' applications.
 .
 This is the development version of the library. You will need this only if
 you intend to compile programs that use this library.
