## martchus-qtutilities 6.7.0

=== debian/changelog ===
martchus-qtutilities (6.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to copyright file.
  * Require libmartchus-c++utilities-dev (>= 5.18.0-1~).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 19 Aug 2022 18:32:53 -0400
