=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Hannah Rittich <void@rittich.net>
 Uploaders: Nicholas D Steeves <sten@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13),
- libmartchus-c++utilities-dev, qtbase5-dev, qttools5-dev
+Build-Depends: cmake
+             , debhelper-compat (= 13)
+             , libmartchus-c++utilities-dev (>= 5.18.0-1~)
+             , qtbase5-dev
+             , qttools5-dev
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://github.com/Martchus/qtutilities
@@ -22,8 +25,10 @@
 Package: libmartchus-qtutilities-dev
 Architecture: any
 Multi-Arch: no
-Depends: ${misc:Depends}, ${shlibs:Depends}, libmartchus-qtutilities6(= ${binary:Version}),
- libmartchus-c++utilities-dev, qtbase5-dev
+Depends: ${misc:Depends}, ${shlibs:Depends}
+       , libmartchus-qtutilities6(= ${binary:Version})
+       , libmartchus-c++utilities-dev
+       , qtbase5-dev
 Section: libdevel
 Description: common Qt related functionality used by Martchus' applications (headers)
  Martchus-qtutilities contains Qt-related C++ classes and routines for such
