=== debian/changelog ===
martchus-qtutilities (6.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Swap Uploader and Maintainer.  Hannah Rittich has been MIA since December
    2021.  This action will be reverted upon confirmation of intent to
    maintain martchus-qtutilities.
  * Require libmartchus-c++utilities-dev (>= 5.19.0-1~).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 22 Sep 2022 22:08:19 -0400
