=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: martchus-qtutilities
 Section: libs
 Priority: optional
-Maintainer: Hannah Rittich <void@rittich.net>
-Uploaders: Nicholas D Steeves <sten@debian.org>
+Maintainer: Nicholas D Steeves <sten@debian.org>
+Uploaders: Hannah Rittich <void@rittich.net>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.18.0-1~)
+             , libmartchus-c++utilities-dev (>= 5.19.0-1~)
              , qtbase5-dev
              , qttools5-dev
 Rules-Requires-Root: no
