=== debian/watch ===
version=4
https://github.com/Martchus/qtutilities/releases /Martchus/qtutilities/archive/refs/tags/v(.+)\.tar\.gz
