=== debian/changelog ===
martchus-qtutilities (6.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch file, because Github broke the releases mechanism.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 12 Oct 2022 15:37:49 -0400
