=== debian/changelog ===
martchus-qtutilities (6.10.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Nicholas D Steeves ]
  * New upstream release.
  * Require libmartchus-c++utilities-dev (>= 5.20.0-1~).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 15 Nov 2022 16:50:42 -0500
