=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Hannah Rittich <void@rittich.net>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.19.0-1~)
+             , libmartchus-c++utilities-dev (>= 5.20.0-1~)
              , qtbase5-dev
              , qttools5-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/Martchus/qtutilities
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtutilities
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtutilities.git
