## martchus-qtutilities 6.13.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.3.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.17.0 FATAL_ERROR)
 
 # meta data
 set(META_PROJECT_NAME qtutilities)
@@ -9,8 +9,8 @@
 set(META_APP_DESCRIPTION
     "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
 set(META_VERSION_MAJOR 6)
-set(META_VERSION_MINOR 10)
-set(META_VERSION_PATCH 0)
+set(META_VERSION_MINOR 13)
+set(META_VERSION_PATCH 4)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
 
 project(${META_PROJECT_NAME})
@@ -116,28 +116,35 @@
 # required to include CMake modules from own project directory
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${CMAKE_MODULE_PATH}")
 
+# find c++utilities
+set(CONFIGURATION_PACKAGE_SUFFIX
+    ""
+    CACHE STRING "sets the suffix for find_package() calls to packages configured via c++utilities")
+set(PACKAGE_NAMESPACE
+    ""
+    CACHE STRING "sets the namespace (prefix) for find_package() calls to packages configured via c++utilities")
+if (PACKAGE_NAMESPACE)
+    set(PACKAGE_NAMESPACE_PREFIX "${PACKAGE_NAMESPACE}-")
+endif ()
+find_package(${PACKAGE_NAMESPACE_PREFIX}c++utilities${CONFIGURATION_PACKAGE_SUFFIX} 5.5.0 REQUIRED)
+use_cpp_utilities()
+
 # configure platform specific capslock detection for enterpassworddialog.cpp
-if (WIN32
-    OR (UNIX
-        AND NOT APPLE
-        AND NOT ANDROID))
-    set(ENABLE_CAPSLOCK_DETECTION_BY_DEFAULT ON)
+if (WIN32)
+    set(HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION ON)
 else ()
-    set(ENABLE_CAPSLOCK_DETECTION_BY_DEFAULT OFF)
+    include(3rdParty)
+    use_package(TARGET_NAME X11::X11 PACKAGE_NAME X11 OPTIONAL)
+    if (TARGET X11::X11)
+        set_property(
+            SOURCE enterpassworddialog/enterpassworddialog.cpp
+            APPEND
+            PROPERTY COMPILE_DEFINITIONS X_AVAILABLE)
+        set(HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION ON)
+    endif ()
 endif ()
-option(CAPSLOCK_DETECTION "enables capslock detection" ${ENABLE_CAPSLOCK_DETECTION_BY_DEFAULT})
+option(CAPSLOCK_DETECTION "enables capslock detection" ${HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION})
 if (CAPSLOCK_DETECTION)
-    if (WIN32)
-        # WinAPI provides functions to provide capslock detection
-        set(HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION ON)
-    else ()
-        # X11 can provide functions for capslock detection under non-Windows environments
-        find_package(X11)
-        if (X11_FOUND)
-            list(APPEND LIBRARIES ${X11_LIBRARIES})
-            set(HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION ON)
-        endif ()
-    endif ()
     if (NOT HAVE_PLATFORM_SPECIFIC_CAPSLOCK_DETECTION)
         message(FATAL_ERROR "No backend for capslock detection found (WinAPI or X11 must be provided)")
     endif ()
@@ -169,19 +176,6 @@
     message(STATUS "D-Bus notifications disabled")
 endif ()
 
-# find c++utilities
-set(CONFIGURATION_PACKAGE_SUFFIX
-    ""
-    CACHE STRING "sets the suffix for find_package() calls to packages configured via c++utilities")
-set(PACKAGE_NAMESPACE
-    ""
-    CACHE STRING "sets the namespace (prefix) for find_package() calls to packages configured via c++utilities")
-if (PACKAGE_NAMESPACE)
-    set(PACKAGE_NAMESPACE_PREFIX "${PACKAGE_NAMESPACE}-")
-endif ()
-find_package(${PACKAGE_NAMESPACE_PREFIX}c++utilities${CONFIGURATION_PACKAGE_SUFFIX} 5.5.0 REQUIRED)
-use_cpp_utilities()
-
 # include modules to apply configuration
 include(BasicConfig)
 include(QtGuiConfig)
