=== debian/changelog ===
martchus-qtutilities (6.13.4-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:40:11 +0000

martchus-qtutilities (6.13.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:04:23 +0000

martchus-qtutilities (6.13.4-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:53:41 +0000

martchus-qtutilities (6.13.4-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.
  * Drop Hannah Rittich, who has been MIA for two years, from Uploaders.
  * Update copyright file with upstream changes, and update my copyright
    years.
  * Update standards version to 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 16 Jan 2024 18:38:57 -0500

martchus-qtutilities (6.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dependencies.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 12 Jul 2023 16:34:37 -0400
