=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export BUILD_DIR=debian/build

%:
	dh $@ --builddirectory=$(BUILD_DIR)

override_dh_auto_configure:
	dh_auto_configure --builddirectory=$(BUILD_DIR) -- \
		-DBUILD_SHARED_LIBS=ON \
		-DNAMESPACE=martchus \
		-DPACKAGE_NAMESPACE=martchus

override_dh_auto_test:
	QT_QPA_PLATFORM=offscreen $(MAKE) -C $(BUILD_DIR) check
