=== debian/changelog ===
martchus-qtutilities (6.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 21 Jun 2024 21:58:45 -0400

martchus-qtutilities (6.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.
  * Update standards version to 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 25 Apr 2024 19:29:20 -0400
