=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: martchus-qtutilities
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicholas D Steeves <sten@debian.org>
+Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.24.5-1~)
+             , libmartchus-c++utilities-dev (>= 5.24.9-1~)
              , qtbase5-dev
              , qttools5-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Martchus/qtutilities
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtutilities
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtutilities.git
