## martchus-qtutilities 6.14.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,12 @@
     "Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models")
 set(META_VERSION_MAJOR 6)
 set(META_VERSION_MINOR 14)
-set(META_VERSION_PATCH 1)
+set(META_VERSION_PATCH 6)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
+set(META_GUI_OPTIONAL ON)
+
+# link explicitly against Qt Gui
+list(APPEND ADDITIONAL_QT_MODULES Gui)
 
 project(${META_PROJECT_NAME})
 
@@ -25,12 +29,13 @@
     misc/desktoputils.h
     misc/conversion.h
     misc/compat.h
+    settingsdialog/qtsettings.h
     models/checklistmodel.h
     resources/qtconfigarguments.h
     resources/resources.h
     resources/importplugin.h)
-set(SRC_FILES misc/dialogutils.cpp misc/desktoputils.cpp models/checklistmodel.cpp resources/qtconfigarguments.cpp
-              resources/resources.cpp)
+set(SRC_FILES misc/dialogutils.cpp misc/desktoputils.cpp settingsdialog/qtsettings.cpp models/checklistmodel.cpp
+              resources/qtconfigarguments.cpp resources/resources.cpp)
 set(RES_FILES resources/qtutilsicons.qrc)
 
 set(WIDGETS_HEADER_FILES
@@ -41,7 +46,6 @@
     settingsdialog/optioncategorymodel.h
     settingsdialog/optionpage.h
     settingsdialog/settingsdialog.h
-    settingsdialog/qtsettings.h
     widgets/buttonoverlay.h
     widgets/clearcombobox.h
     widgets/clearlineedit.h
@@ -60,7 +64,6 @@
     settingsdialog/optioncategorymodel.cpp
     settingsdialog/optionpage.cpp
     settingsdialog/settingsdialog.cpp
-    settingsdialog/qtsettings.cpp
     widgets/buttonoverlay.cpp
     widgets/clearcombobox.cpp
     widgets/clearlineedit.cpp
@@ -80,15 +83,10 @@
     settingsdialog/qtenvoptionpage.ui
     paletteeditor/paletteeditor.ui)
 set(QT_TESTS buttonoverlay dialogs)
-set(CMAKE_MODULE_FILES
-    cmake/modules/AndroidApk.cmake cmake/modules/QtConfig.cmake cmake/modules/QtGuiConfig.cmake
-    cmake/modules/QtLinkage.cmake cmake/modules/QtWebViewProviderConfig.cmake cmake/modules/QtJsProviderConfig.cmake)
+set(CMAKE_MODULE_FILES cmake/modules/QtConfig.cmake cmake/modules/QtGuiConfig.cmake cmake/modules/QtLinkage.cmake
+                       cmake/modules/QtWebViewProviderConfig.cmake cmake/modules/QtJsProviderConfig.cmake)
 set(CMAKE_TEMPLATE_FILES cmake/templates/qtconfig.h.in cmake/templates/webviewdefs.h.in cmake/templates/webviewincludes.h.in
                          cmake/templates/jsdefs.h.in cmake/templates/jsincludes.h.in)
-if (ANDROID)
-    list(APPEND CMAKE_MODULE_FILES)
-    list(APPEND CMAKE_TEMPLATE_FILES cmake/templates/android-deployment.json.in)
-endif ()
 
 set(TS_FILES translations/${META_PROJECT_NAME}_zh_CN.ts translations/${META_PROJECT_NAME}_de_DE.ts
              translations/${META_PROJECT_NAME}_en_US.ts)
