=== debian/changelog ===
martchus-qtutilities (6.14.6-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.
  * Migrate to Qt6.
  * Import updated upstream copyright statements, and update my copyright
    years.
  * Update standards version to 4.7.2 (no changes required).
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 14 Mar 2025 09:13:02 -0600

martchus-qtutilities (6.14.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update required dependencies.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 13 Nov 2024 07:28:26 -0500
