=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.24.9-1~)
-             , qtbase5-dev
-             , qttools5-dev
+             , libmartchus-c++utilities-dev (>= 5.27.3-1~)
+             , qt6-tools-dev
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Martchus/qtutilities
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtutilities
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtutilities.git
