=== debian/changelog ===
martchus-qtutilities (6.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.
  * Set upstream metadata fields: Repository.
  * Resolve lintian W: old-fsf-address-in-copyright-file by referring to
    GNU's website.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 04 Apr 2025 21:17:09 -0400
