=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: cmake
              , debhelper-compat (= 13)
-             , libmartchus-c++utilities-dev (>= 5.27.3-1~)
+             , libmartchus-c++utilities-dev (>= 5.28.0-1~)
              , qt6-tools-dev
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
