=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	dh_auto_configure --builddirectory=$(BUILD_DIR) -- \
 		-DBUILD_SHARED_LIBS=ON \
 		-DNAMESPACE=martchus \
-		-DPACKAGE_NAMESPACE=martchus
+		-DPACKAGE_NAMESPACE=martchus \
+		-DQT_PACKAGE_PREFIX=Qt6
 
 override_dh_auto_test:
 	QT_QPA_PLATFORM=offscreen $(MAKE) -C $(BUILD_DIR) check
